package com.example.Thread;

public class ThreadRunnable {
    public static void main(String[] args) {
        ThreadRun threadRun = new ThreadRun();
        Thread thread = new Thread(threadRun);
        thread.start();
        System.out.println(Thread.currentThread().getName());
          ProxyTest proxyTest = new ProxyTest();
          ThreadProxy threadProxy = new ThreadProxy(proxyTest);
          threadProxy.start();
    }
}
class ThreadRun implements Runnable {
    int i = 0;
    @Override
    public void run() {
        while (true) {
            i++;
            System.out.println(i + Thread.currentThread().getName());
            try {
                Thread.sleep(1000);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            if(i == 10) {
                break;
            }
        }
    }
}
class ProxyTest implements Runnable {
    @Override
    public void run() {
        System.out.println("proxyTest---" + Thread.currentThread().getName());
    }
}
// 代理模式，可以把它当成是Thread 类
class ThreadProxy implements Runnable {
    private Runnable target = null; //属性 类型是Runnable
    @Override
    public void run() {
        if (target !=null) {
            target.run();
        }
    }

    public ThreadProxy(Runnable target) {
        this.target = target;
    }
    public void start() {
        start0();
    }
    public void start0() {
        run();
    }
}