package com.example.springbootdemo.zxyTeST.druid;

import com.alibaba.druid.pool.DruidDataSource;
import com.alibaba.druid.support.http.StatViewServlet;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.web.servlet.ServletRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.sql.DataSource;
import java.sql.SQLException;

/**
 * @author zhangxiaoyu
 * @version 1.0
 * @date 2021/5/31 下午2:25
 */
//@Configuration
public class MyDataSource {
//    @ConfigurationProperties(prefix = "spring.datasource")
    @Bean
    public DataSource dataSource() throws SQLException {
        DruidDataSource druidDataSource = new DruidDataSource();
        // jiaru jiankong
        druidDataSource.setFilters("stat,wall");
        return  druidDataSource;
    }
    @Bean
    public ServletRegistrationBean servletRegistrationBean() {
        StatViewServlet statViewServlet = new StatViewServlet();
        ServletRegistrationBean registrationBean = new ServletRegistrationBean(statViewServlet,"/druid/*");
        registrationBean.addInitParameter("loginUsername","zxy");
        registrationBean.addInitParameter("loginPassword","111123");

        return registrationBean;
    }

}
