package com.example.springbootdemo;

import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.jdbc.core.JdbcTemplate;

import javax.sql.DataSource;

@Slf4j
@SpringBootTest
@Ignore
class SpringbootdemoApplicationTests {
    @Autowired
    JdbcTemplate jdbcTemplate;
    @Autowired
    DataSource dataSource;
    @Test
    void contextLoads() {
        Long count = jdbcTemplate.queryForObject("select count(*) from wb_tbl_color",Long.class);
        log.info("记录 all count {}",count);
        log.info("数据源类型 {}",dataSource.getClass());
    }
    @Test
     void testEquals() {
        Integer i = 128;
        Integer i1 = 128;
        System.out.println(i == i1);
        System.out.println(i.equals(i1));
    }
    @Test
    void getCPUNum() {
        Runtime runtime = Runtime.getRuntime();
        System.out.println(runtime.availableProcessors());
    }

}
