package com.example.singletone;
public class Singleton1 {
    public static void main(String[] args) {
        HungrySingle single1 = HungrySingle.getInstance();
        HungrySingle single2 = HungrySingle.getInstance();
        if(single1 == single2) {

        }
    }
}
// 饿汉式(静态变量式)
class HungrySingle {
   // 构造函数私有
    private HungrySingle() {
    }
    private static final HungrySingle hungrySingle = new HungrySingle();
    // 返回instance
    public static HungrySingle getInstance() {
        return hungrySingle;
    }
}
