package com.example.springbootdemo.controller;

import com.example.springbootdemo.entity.Color;
import com.example.springbootdemo.service.ColorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class ColorController {
    @Autowired
    ColorService colorService;

    @GetMapping("/getColorInfo")
    public Color getColorInfo(@RequestParam("color_id") Integer colorId) {
        return colorService.getById(colorId);
    }

}
