package com.example.springbootdemo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.example.springbootdemo.entity.FootScanGroup;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author zhangxiaoyu
 * @version 1.0
 * @date 2021/6/1 上午9:48
 */
@Mapper
public interface FootScanGroupMapper extends BaseMapper<FootScanGroup> {
    @Select("SELECT foot_scan_group_id,user_id,user_name FROM wb_tbl_foot_scan_group WHERE  foot_scan_group_id = #{id}")
    FootScanGroup findByFootScanGroupId(Long id);
    @Insert("insert into wb_tbl_foot_scan_group (user_id,user_name) values (#{userId},#{userName})")
    @Options(useGeneratedKeys = true,keyProperty = "footScanGroupId")
    void addFootScanGroup(FootScanGroup footScanGroup);
}
